# coordFormat

    text coordFormat(degree, pattern, language)

Returns the coordinate degree formatted according to pattern in language. Currently only English is supported.

Pattern symbols with special meaning:

Symbol | Component
--- | ---
D | Degrees, signed
d | Degrees, unsigned
m | Minutes
s | Seconds
N | North if degree >= 0, South otherwise
S | South if degree >= 0, North otherwise
E | East if degree >= 0, West otherwise
W | West if degree >= 0, East otherwise
' | Avoid interpretation
'' | Single quote

## Examples

Pattern | Result
--- | ---
d°m′s″ N | 15°8′29″ N
d.dddddd N | 15.123456 N
ddmmss.ss | 401213.1

## Parameters

1. degree — coordinate degree number to format.
2. pattern — formatting text pattern, see symbols.
3. language — optional language code, defaults is English.

## Returns

- the formatted degree.